BEEM - Android XMPP - Bug #296

Required SSL/TLS Ignored
08/27/2010 07:49 PM - D Joid

Status: Closed Start date: 08/27/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.1.6

Affected version: 0.1.x Locale:

Description

My Openfire server requires SSL/TLS encryption on the standard 5222 port. When | try to connect, Beem gives me Error during
authentication, bad login or password. However, in the Openfire Info Log it shows 2010.08.27 12:06:21 User Login Failed.
PLAIN authentication failed. However, | checked Require SSL/TLS within the Beem client and I've triple-checked my login
credentials.

History

#1 - 08/30/2010 02:53 PM - Frédéric Barthéléry

- Status changed from New to Feedback

| think the openfire log tell you which SASL mechanism is used for your connection. In your case, it is the PLAIN mechanism.
The SASL authentication is made after the TLS encryption. So, the connection is encrypted and then the password is sent in plain in the encrypted
connection in opposition to a md5 mechanism which sends a md5 hash of the password.

The default is to use TLS encryption if available so it is not required to check the Require SSL/TLS option.
However you seems to have an issue with your authentication, | suggest you to disable the TLS requirement on your openfire server and see if it
works better.

#2 - 08/31/2010 04:48 PM - D Joid

We use two different XMPP clients and both connect fine with TLS. Disabling TSL requirement is not an option for us.
#3 - 08/31/2010 07:27 PM - Frédéric Barthéléry
| agree that TLS in an absolute requirement. | suggest this only for debugging to see if you can capture some packet to understand why you cannot

connect. Because it does not look like a TLS issue.

#4 - 03/12/2011 06:46 PM - Frédéric Barthéléry

- Target version set to 0.1.6

#5 - 04/25/2011 06:46 PM - Frédéric Barthéléry

- Status changed from Feedback to Resolved

#6 - 05/06/2011 02:19 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
